Linux Kernel 'security/selinux/hooks.c'配置错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1182856 漏洞类型 配置错误
发布时间 2009-05-05 更新时间 2009-05-05
CVE编号 CVE-2009-1184 CNNVD-ID CNNVD-200905-048
漏洞平台 N/A CVSS评分 4.4
|漏洞来源
https://www.securityfocus.com/bid/79520
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200905-048
|漏洞详情
Linuxkernel2.6.27.22版本之前的版本以及2.6.28.10版本和之前的版本2.6.28.x的SELinux子系统的security/selinux/hooks.c中的selinux_ip_postroute_iptables_compat函数,当compat_net被激活时,会忽略对avc_has_perm的(1)节点和(2)端口的调用,这会允许本地用户绕过网络流量上的预设限制。注意:该漏洞曾经被错误报道为在2.6.27.21中被修复。
|受影响的产品
Ultimate PHP Board UPB 2.6.28 .6 Ultimate PHP Board UPB 2.6.27 .12 Ultimate PHP Board UPB 2.6.26 .6 Ultimate PHP Board UPB 2.6.26 .3 Ultimate PHP Board UPB 2.6.25 .8 Ultimate
|参考资料

来源:patchwork.ozlabs.org
链接:http://patchwork.ozlabs.org/patch/25238/
来源:MISC
链接:https://launchpad.net/bugs/cve/2009-1184
来源:MLIST
名称:[oss-security]20090504CVE-2009-1184selinux:skippednode/portsendchecksinthecompat_net=1case
链接:http://www.openwall.com/lists/oss-security/2009/05/04/1
来源:MANDRIVA
名称:MDVSA-2009:135
链接:http://www.mandriva.com/security/advisories?name=MDVSA-2009:135
来源:MANDRIVA
名称:MDVSA-2009:119
链接:http://www.mandriva.com/security/advisories?name=MDVSA-2009:119
来源:MANDRIVA
名称:MDVSA-2009:118
链接:http://www.mandriva.com/security/advisories?name=MDVSA-2009:118
来源:DEBIAN
名称:DSA-1800
链接:http://www.debian.org/security/2009/dsa-1800
来源:SECUNIA
名称:35121
链接:http://secunia.com/advisories/35121
来源:MLIST
名称:[linux-kernel]20090502Linux2.6.28.10
链接:http://lwn.net/Articles/331435/
来源:MLIST
名称:[linux-kernel]20090502Linux2.6.27.21
链接:http://lwn.net/Articles/331434/
来源:git.kernel.org
链接:http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.27.y.git;a=commit;h=910c9e41186762de3717baaf392ab